petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMPlexLocalToGlobalBasis

Transform the values in the given local vector from the local basis to the global basis

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexLocalToGlobalBasis(DM dm, Vec lv)

### Input Parameters

| dm | - The DM
| lv | - A local vector with values in the local basis

### Output Parameters

lv -A local vector with values in the global basis

Note: This method is only intended to be called inside DMGlobalToLocal(). It is unlikely that a user would want a local vector full of coefficients for the global basis unless they are reimplementing GlobalToLocal.

### See Also

DMPlexGlobalToLocalBasis(), DMGetLocalSection(), DMPlexCreateBasisRotation()

### Level

developer

### Location

src/dm/impls/plex/plexfem.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages